@import "../../../../styles/colors.scss";

.Table_Wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  & table {
    font-size: 14px;
    font-weight: 300;
    border-collapse: collapse;
    & tr {
      position: relative;
      &:nth-child(2n) {
        background-color: $color-white-2;
      }
      &:not(:last-child) {
        border-bottom: 1px solid $color-black;
      }
      & div {
        position: absolute;
        transform: translateY(50%);
        transition: 0.5s;
        & img {
          width: 20px;
          margin-left: 20px;
          cursor: pointer;
          &:hover {
            transform: scale(1.2);
          }
        }
      }
    }
    & th {
      background-color: $color-black;
      color: $color-white;
      position: relative;
      padding: 15px;
      &:not(:last-child) {
        &::after {
          content: "";
          width: 1px;
          height: 30px;
          background-color: $color-white;
          position: absolute;
          right: 0;
          top: 50%;
          transform: translateY(-50%);
        }
      }
    }
    & td {
      // padding: 15px;
      // width: 50px;
      & input {
        border: 0px solid transparent;
        padding: 15px;
        text-align: center;
        background-color: transparent;
        &:focus {
          outline: none;
        }
      }
    }
  }
}

.Table_Inputs {
  & td {
    padding: 0 !important;
    & input {
      border: 0px solid transparent;
      padding: 15px;
      text-align: center;
      border-bottom: 1px solid $color-black;
      background-color: transparent;
      &:focus {
        outline: none;
      }
    }
    &:first-child input {
      // width: 50px;
    }
  }
}

.Table_Buttons {
  display: flex;
  flex-direction: row;
  align-items: center;
  position: absolute;
  border: 1px solid $color-black;
  padding: 5px 10px;
  font-size: 14px;
  border-radius: 5px;
  margin-left: 20px;
  margin-top: -17px;
  & span {
    font-weight: bold;
    font-size: 24px;
    cursor: pointer;
    &:first-child {
      padding-right: 10px;
    }
    &:last-child {
      padding-left: 10px;
    }
  }
}
